View Issue Details

IDProjectCategoryView StatusLast Update
0000964luatexluatex bugpublic2016-03-02 12:30
ReporterKalrishAssigned Toluigi scarso 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
PlatformOSWindows and LinuxOS VersionWindows 10
Product Version0.79.1 
Target VersionFixed in Version0.89.0 
Summary0000964: segfault when a file is opened in the Lua initialization script and the recorder feature is on
DescriptionLuaTeX crashes with a segmentation fault when a file is opened, either for reading or for writing, from the Lua initialization script while the recorder feature is on.
Steps To ReproduceRun `luatex --interaction=nonstopmode --recorder --lua=test.lua -- main.tex`.
Additional InformationSee [this issue](https://github.com/kalrish/luatex-lua-module-cache-manager/issues/2).

The jobname isn't known yet at the Lua initialization script stage. This suggests that the ${jobname}.fls file (where the file open record is outputted) isn't open at that moment. Perhaps the recorder feature is, however, active, and tries to log the file activity despite its output not being yet open.
TagsNo tags attached.

Activities

Kalrish

2016-02-21 01:18

reporter  

luatex-open-in-lua-initialization-script-with-recorder-feature.tar (3,072 bytes)

luigi scarso

2016-02-22 10:29

developer   ~0001573

Thank you for the report. We will investigate asap.

luigi scarso

2016-02-26 09:45

developer   ~0001574

We have made a fix in trunk.

Kalrish

2016-02-26 17:09

reporter   ~0001576

Thank you!

I can't find an option to close the report. Perhaps it's to be done by admins?

luigi scarso

2016-02-26 17:11

developer   ~0001577

Yes, only admin can close the report.

Issue History

Date Modified Username Field Change
2016-02-21 01:18 Kalrish New Issue
2016-02-21 01:18 Kalrish File Added: luatex-open-in-lua-initialization-script-with-recorder-feature.tar
2016-02-22 10:29 luigi scarso Note Added: 0001573
2016-02-26 09:45 luigi scarso Note Added: 0001574
2016-02-26 17:09 Kalrish Note Added: 0001576
2016-02-26 17:11 luigi scarso Note Added: 0001577
2016-03-02 12:30 Hans Hagen Status new => closed
2016-03-02 12:30 Hans Hagen Assigned To => luigi scarso
2016-03-02 12:30 Hans Hagen Resolution open => fixed
2016-03-02 12:30 Hans Hagen Fixed in Version => 0.89.0